#include <Sleep_n0m1.h>
#include <SPI.h>
#include <EEPROM.h>  
#include <DallasTemperature.h>
#include <OneWire.h>
#include <RF24.h>
#include <Sensor.h>  

#define ONE_WIRE_BUS 3 // Pin where dallase sensor is connected 
#define MAX_ATTACHED_DS18B20 16
unsigned long SLEEP_TIME = 30; // Sleep time between reads (in seconds)

OneWire oneWire(ONE_WIRE_BUS);
DallasTemperature sensors(&oneWire);
Sensor gw;
Sleep sleep;
float lastTemperature[MAX_ATTACHED_DS18B20];
int numSensors=0;
boolean metric; 
float rainLevel = 0.25;
float tempSensor = 72.5;
float pressure = 10000;
float humidity = 50;

void setup()  
{ 
  sensors.begin();
  gw.begin(); 
  gw.sendSketchInfo("Rain Guage", "0.9a"); 
  //gw.sendSensorPresentation(0, S_TEMP);
  gw.sendSensorPresentation(1, S_RAIN);
  //gw.sendSensorPresentation(2, S_BARO);
  //gw.sendSensorPresentation(3, S_HUM);
  //gw.sendSensorPresentation(4, S_MOTION);
  //metric = gw.isMetricSystem();
  
  delay(2000);
  //gw.sendVariable(0, V_TEMP, tempSensor,1);
  //gw.sendVariable(1, V_RAIN, ".25");
  //gw.sendVariable(2, V_PRESSURE, "11000");
  //gw.sendVariable(3, V_HUM, "45");
  //gw.sendVariable(4, V_TRIPPED, 1);
  
}

void loop()     
{ 
}


